%clearfix {
    &:after {
        content: "";
        display: table;
        clear: both;
    }
}

@media screen {
    html {
        scroll-padding-top: $scroll-top-wide;
    }
    body {
        min-width: 300px;
        min-height: 100%;
    }
    .wrapper {
        /* width: 90%; */
        /* max-width: $width-max; */
        /* margin-right: auto;
        margin-left: auto; */
        margin: 0;
        padding-right: $spacing-unit / 2;
        padding-left: $spacing-unit / 2;
        /* clearfix */
        &:after {
            content: "";
            display: table;
            clear: both;
        }
    }
    
    .construction {
        text-align: center;
        background: $red-color;
        color: white;
        padding: 0.5em;
        font-weight: bold;
        font-size: 1.5em;
        a, a:hover, a:visited {
            color: $blue-background;
            text-decoration: underline;
        }
        margin: 0;
        width: 100%;
        text-decoration: blink;
        position: fixed;
        top: 0;
    }
    .construction::before, .construction::after {
        content: " 🚧 ";
    }
    
    .sticky-bottom {
        position: -webkit-sticky;
        position: sticky;
        bottom: 0;
    }

    #site-header {
        width: 100%;
        border-top: 3px solid $site-color;
        border-bottom: 1px solid darken($grey-color-light, 5%);
        background-color: $grey-color-light;
        .site-title {
            font-size: $base-font-size * $base-line-height;
            letter-spacing: -1px;
            line-height: $base-font-size * $base-line-height * 2;
            margin-top: 0.1em;
            margin-bottom: -0.1em;
        }
        .site-nav {
            line-height: ($base-font-size * $base-line-height * 2) - (2 * $spacing-unit / 5);
            margin-top: 0.1em;
            margin-bottom: -0.1em;
        }
    }
    #site-footer {
        border-bottom: 3px solid $site-color;
        border-top: 1px solid darken($grey-color-light, 5%);
        background-color: $grey-color-light;
        .site-title {
            letter-spacing: -1px;
            line-height: $base-font-size * 2;
        }
        .site-nav {
            line-height: $base-font-size * 2;
        }
    }
    #site-header a,
    #site-footer a{
        &,
        &:visited {
            color: $grey-color-dark;
        }
    }

    .site-title {
        float: left;
    }
    .site-nav {
        float: right;
    }
    .page-link {
        display: inline-block;
        margin: $spacing-unit / 5;
        margin-bottom: $spacing-unit / 15;
    }

    .front-title {
        line-height: 1.2;
        text-align: center;
    }
    .jumplinks {
        text-align: center;
        font-size: $base-font-size * 1.3;
        float: right;
    }
    .block-link {
        display: inline-block;
        margin: 0.2em 0.5em 0 0.5em;
    }

    .horizontal {
        /* display: initial; */
    }
    .vertical {
        display: none;
    }

    #page_jump {
        position: fixed;
        top: 0;
        right: 0;
        text-align: center;
        background: $grey-color-light;
        font-weight: bold;
        border-top: 3px solid $brand-color;
        #page_jump_top {
            padding: 0.25em 0.5em 0 0.5em;
            display: block;
        }
        #page_jump_toc, #page_jump_now {
            padding: 0.1em 0.5em;
            display: block;
        }
        #page_jump_bot {
            padding: 0.25em 0.5em 0 0.5em;
            display: block;
            border-bottom: 3px solid $brand-color;
        }
        a:hover {
            text-decoration: none;
            background: $blue-background;
        }
    }

    #manifest {
        .policy_link {
            font-weight: bold;
        }
    }

    /* Wide view */
    @media (min-width: $width-vertical + 1) {

        #site-header {
            position: fixed;
            top: $header-top;
        }

        .page-content {
            padding-top: $page-top-wide;
        }

        .post-title {
            margin: 0;
            top: $title-top-wide;
        }
        #markdown-toc {
            top: $toc-top-wide;
        }

        .post-title, #contents, #markdown-toc {
            /* margin-left: 5%; */
            margin-left: $spacing-unit / 2;
            position: fixed;
            left: 0px;
            width: 240px;
            padding-right: 0;
        }
        #contents {
            display: none;
            /* border: none;
            font-weight: normal;
            font-size: 1.6em;
            top: 2em; */
        }
        #markdown-toc {
            padding-top: 10px;
            padding-bottom: 10px;
            border: 1px solid $gray-color-light;
            background: lighten($gray-color-light, 2%);
            bottom: 3em;
            overflow: scroll;
        }
        .post {
            padding-left: 300px;
        }
        .post-content:first-child {
            margin-top: 0;
        }
        #page_jump {
            display: none;
        }

    }

    /* Vertical view */
    @media (max-width: $width-vertical) {
        #site-header {
            position: fixed;
            top: $header-top;
        }

        .page-content {
            padding-top: $page-top-vertical;
        }

        html {
            scroll-padding-top: $scroll-top-vertical;
        }
        .wrapper {
            width: initial;
            padding-right: $spacing-unit / 2;
            padding-left: $spacing-unit / 2;
        }
        #site-header,
        #site-footer {
            text-align: center;
        }
        .site-title,
        .site-nav {
            float: none;
            line-height: normal;
        }
        .page-link {
            margin: 0 $spacing-unit / 5;
        }
        
        .jumplinks {
            font-size: $base-font-size * 1.2;
        }
        
        .horizontal {
            display: none;
        }
        .vertical {
            display: inline-block;;
        }
    }
    
    
    /* Narrow view */
    @media (max-width: $width-narrow) {
        .page-content {
            padding: 0;
        }

        .construction {
            font-size: 1em;
            padding-top: 1.5em;
            padding-bottom: 1.5em;
        }

        html {
            scroll-padding-top: $scroll-top-narrow;
        }
        #site-header {
            position: static;
            margin-top: $header-top-narrow;
        }
        #page_jump {
            #page_jump_top, #page_jump_bot {
                display: none;
            }
            border-bottom: 1px solid $brand-color;
        }
    }
}

@media print {
    .site-title {
        float: right;
        margin: 0 0 4em 4em;
    }
    .site-nav, #site-footer {
        display: none;
    }
    #page_jump {
        display: none;
    }
}


/**
 * Posts
 */
.post-header {
    margin-bottom: $spacing-unit / 2;
}

.front-title, .post-title {
    @media screen {
        font-size: $base-font-size * 3.0;
    }
    @media print {
        font-size: $print-font-size * 2.2;
    }
    letter-spacing: -1px;
    font-weight: normal;
    border: none;
}
.post-title {
    line-height: 1;
}

.post-content {
    margin-bottom: $spacing-unit;

    h1 {
        @media screen {
            font-size: $base-font-size * 2.25;
        }
        @media print {
            font-size: $print-font-size * 1.8;
        }
    }

    h2 {
        @media screen {
            font-size: $base-font-size * 2;
        }
        @media print {
            font-size: $print-font-size * 1.6;
        }
    }

    h3 {
        @media screen {
            font-size: $base-font-size * 1.6;
        }
        @media print {
            font-size: $print-font-size * 1.4;
        }
    }

    h4 {
        @media screen {
            font-size: $base-font-size * 1.25;
        }
        @media print {
            font-size: $print-font-size * 1.2;
        }
    }

    h5 {
        @media screen {
            font-size: $base-font-size * 1.1;
        }
        @media print {
            font-size: $print-font-size * 1.1;
        }
    }

    h6 {
        @media screen {
            font-size: $base-font-size * 1.0;
            font-weight: bold;
        }
        @media print {
            font-size: $print-font-size * 1.0;
            font-weight: bold;
        }
    }

    /* Prevent paragraphs,etc. from wrapping into really tiny spaces */
    ul:before, ol:before, dl:before, p:before {
        content: "";
        width: 10em;
        display: block;
        overflow: hidden;
    }
    
}

.coursenum {
    font-weight: bold;
}
.semester {
    font-weight: 100;
    color: $gray-color;
    font-size: smaller;
}

.clear {
    clear: both;
}

/*#staff-table {
    width: 100%;
    td, th {
        background: #fafafa;
        color: inherit;
        vertical-align: top;
        margin: 0em;
        padding: 0.4em 0.7em;
        border: none;
        border-top: 5px solid lighten($grey-color, 40%);
    }
    td {
        vertical-align: top;
        margin: 0em;
        padding: 0.5em;
    }
    .dark_row td, .dark_row th {
        background: $grey-color-light;
    }
    th.emptycorner {
        background: $background-color;
        border: none;
    }
}*/

#staff-table {
    border-top: 1px solid lighten($grey-color, 40%);
    float: right;
    width: initial;
    margin: 0 0 2em 2em;
    
    .light_row th {
        background: #f8f8f8;
    }
    .dark_row th {
        background: $gray-color-light;
    }
    th {
        color: $text-color;
    }
}
@media (max-width: $width-vertical) {
    #staff-table {
        float: none;
        margin: 0;
        width: 100%;
    }
}

@media (max-width: $width-narrow) {
    #staff-table {
        border: 0;
        float: none;
        margin: 0;
        width: 100%;
        
        tr {
            display: block;
            padding-bottom: $spacing-unit / 4;
            border: 0;
        }
        tr.col_headers {
            display: none;
        }
        td, th {
            padding: 0.2em 0.7em;
            text-align: left;
            display: block;
            border-top: 0;
            border-left: 5px solid lighten($grey-color, 40%);
            border-bottom: 0;
        }
        .hide-narrow {
            display: none;
        }
    }
}

.assignment_list .date_list {
    list-style-type: none;
    margin-top: 0;
    padding: 0;
}

.topic-heading {
    margin-bottom: 0;
    border-bottom: none;
}
.topic-dates {
    margin-top: 0;
    background: #f8f8f8;
    border: 1px solid $gray-color-light;
    padding: 0 0.5em;
}
.topic-content {
    padding: 0 1em;
    border: 1px solid $gray-color-light;
}

.motto {
    border: none;
    text-align: center;
}
.motto-block {
    background: #f8f8f8;
    border: 1px solid $gray-color-light;
    padding: 0 0.5em;
    display: inline-block;
}

.fill_semester::after {
    content: $semester;
}
